/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * Version : 06/11/2017 : SCA : V2.2.1 
 *  Redmine #5403 - DMPT3 
 * ----------------------------------------
 */
package fr.tlse.irap.map;

import java.io.Serializable;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class CarringtonMapHeader implements Serializable{

	/**
	 * serialVersion 
	 */
	private static final long serialVersionUID = 1L;

	private String probe;
	private String measurement;
	private String unit = "";
	private int width;
	private int height;
	private Float altitude; // altitude in rSun
	private int rotationNumber;
	
	
	public CarringtonMapHeader() {
		super();
	}

	public CarringtonMapHeader(String probe, String measurement) {
		super();
		this.probe = probe;
		this.measurement = measurement;
		// default values
		this.rotationNumber = 0;
		this.altitude = 1f; 
		this.unit = "";
	}

	public String getProbe() {
		return probe;
	}

	public void setProbe(String probe) {
		this.probe = probe;
	}

	public String getMeasurement() {
		return measurement;
	}

	public void setMeasurement(String measurement) {
		this.measurement = measurement;
	}

	public int getRotationNumber() {
		return rotationNumber;
	}

	public void setRotationNumber(int rotationNumber) {
		this.rotationNumber = rotationNumber;
	}

	@XmlElement(name="width")
	public int getWidth() {
		return this.width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	@XmlElement(name="height")
	public int getHeight() {
		return this.height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public Float getAltitude() {
		return altitude;
	}

	public void setAltitude(Float altitude) {
		this.altitude = altitude;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

}
